---
document: modulemd
version: 2
data:
  name: perl-libwww-perl
  stream: 6.34
  version: 8030020201223164340
  context: b967a9a2
  arch: x86_64
  summary: A Perl interface to the World-Wide Web
  description: >
    The libwww-perl collection is a set of Perl modules which provide a simple and
    consistent application programming interface to the World-Wide Web. The main focus
    of the library is to provide classes and functions that enable you to write WWW
    clients. The library also contains modules that are of more general use and even
    classes that help you implement simple HTTP servers. LWP::Protocol::https adds
    a support for an HTTPS protocol.
  license:
    module:
    - MIT
    content:
    - (GPL+ or Artistic) and Public Domain
    - GPL+ or Artistic
    - MIT
    - MPLv2.0
  xmd: {}
  dependencies:
  - buildrequires:
      perl: [5.26]
      perl-IO-Socket-SSL: [2.066]
      platform: [el8.3.0]
    requires:
      perl: [5.26]
      perl-IO-Socket-SSL: [2.066]
      platform: [el8]
  references:
    community: https://metacpan.org/release/libwww-perl
  profiles:
    common:
      description: LWP with HTTPS support
      rpms:
      - perl-LWP-Protocol-https
      - perl-libwww-perl
  api:
    rpms:
    - perl-LWP-Protocol-https
    - perl-libwww-perl
  filter:
    rpms:
    - perl-Digest-SHA1
    - perl-HTTP-Daemon
    - perl-Test-Fatal
    - perl-Test-Pod
    - perl-Test-RequiresInternet
  buildopts:
    rpms:
      macros: >
        %_without_perl_HTML_Tagset_enables_optional_test 1

        %_without_perl_Test_Fatal_enables_extra_test 1

        %_without_perl_Test_Fatal_enables_optional_test 1
  components:
    rpms:
      perl-Data-Dump:
        rationale: A run-time depenedency.
        ref: bf0c7f8f51acb32fdc524b76c6078b508ad7bfd5
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Digest-HMAC:
        rationale: A run-time dependency.
        ref: 6b32005eaefb64147630053997f972975361886b
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Digest-SHA1:
        rationale: A build dependency.
        ref: b68cd6d810e8a866576c7b0196bb885ec59b5a7a
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Encode-Locale:
        rationale: A run-time dependency.
        ref: c056c7407b77caa6d57babafc5c343389c11fa16
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-File-Listing:
        rationale: A run-time dependency.
        ref: 3a5e488564063017ba14e9cb6dfe6400dfc044b6
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTML-Parser:
        rationale: A run-time dependency.
        ref: e3610b98a6b30b96019f53e1f4e6d8671acb48bd
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTML-Tagset:
        rationale: A run-time dependency.
        ref: 071a5b31ca388524b34853321a0a731e30f341b4
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Cookies:
        rationale: A run-time dependency.
        ref: 97ef576ec4a2a27265be429d248a573bfca43156
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Daemon:
        rationale: A build dependency.
        ref: 570096e5fc15e65be75bba7681557cdc44a7c076
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Date:
        rationale: A run-time dependency.
        ref: 5595663b854725a53e4374917bb2078074391552
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Message:
        rationale: A run-time dependency.
        ref: b6597f6400861cf9440713b2d8bf3c3f2825fae6
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Negotiate:
        rationale: A run-time dependency.
        ref: 7ea05dd3b1d2db9aa72f1dd811ac1028c6ccc2a2
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-IO-HTML:
        rationale: A run-time dependency.
        ref: dc6e6c5eb4259fc63ac9b61099016f9f9176ea70
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-LWP-MediaTypes:
        rationale: A run-time dependency.
        ref: 54d031b1b5e5bc043eb1489d04203ba5e9269923
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-LWP-Protocol-https:
        rationale: The API.
        ref: ebdd3e6b99c15806d8549892b5d122625b238b4e
        buildorder: 4
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Mozilla-CA:
        rationale: A run-time dependency.
        ref: 4f4d12cbd8b77e32745f7810844cfec76fe84e16
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-NTLM:
        rationale: A run-time dependency.
        ref: 968d3fb6c5f834f3e597bb813d9f96fa04732481
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Net-HTTP:
        rationale: A run-time dependency.
        ref: 97df1bed807b14ac4727fca1d2854a6eb25a64ec
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-Fatal:
        rationale: A build dependency.
        ref: 65fe759bc84f6615e08ecb75ca2d8fb6ca4062f3
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-Pod:
        rationale: A build dependency.
        ref: f90cd604ab18485a1e20ce3a0052435c1f10845c
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-RequiresInternet:
        rationale: A build dependency.
        ref: 90a82978358f494a079f413bc7b3a46827b653b5
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-TimeDate:
        rationale: A run-time dependency.
        ref: e1a334942c04d081858749781b1cbccf82ff41c5
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Try-Tiny:
        rationale: A run-time dependency.
        ref: 337d768ff2b8018fba0a272869565b1f1d3dfd61
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-WWW-RobotRules:
        rationale: A run-time dependency.
        ref: 493d595460e45dd6ccc30145db93790de1c09607
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-libwww-perl:
        rationale: The API.
        ref: cf93b41ee1e5aa583b67264a92fceecd3f255633
        buildorder: 3
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - perl-Data-Dump-0:1.23-7.module_el8.3.0+416+dee7bcef.noarch
    - perl-Data-Dump-0:1.23-7.module_el8.3.0+416+dee7bcef.src
    - perl-Digest-HMAC-0:1.03-17.module_el8.3.0+416+dee7bcef.noarch
    - perl-Digest-HMAC-0:1.03-17.module_el8.3.0+416+dee7bcef.src
    - perl-Encode-Locale-0:1.05-10.module_el8.3.0+416+dee7bcef.noarch
    - perl-Encode-Locale-0:1.05-10.module_el8.3.0+416+dee7bcef.src
    - perl-File-Listing-0:6.04-17.module_el8.3.0+416+dee7bcef.noarch
    - perl-File-Listing-0:6.04-17.module_el8.3.0+416+dee7bcef.src
    - perl-HTML-Parser-0:3.72-15.module_el8.3.0+416+dee7bcef.src
    - perl-HTML-Parser-0:3.72-15.module_el8.3.0+416+dee7bcef.x86_64
    - perl-HTML-Parser-debuginfo-0:3.72-15.module_el8.3.0+416+dee7bcef.x86_64
    - perl-HTML-Parser-debugsource-0:3.72-15.module_el8.3.0+416+dee7bcef.x86_64
    - perl-HTML-Tagset-0:3.20-34.module_el8.3.0+416+dee7bcef.noarch
    - perl-HTML-Tagset-0:3.20-34.module_el8.3.0+416+dee7bcef.src
    - perl-HTTP-Cookies-0:6.04-2.module_el8.3.0+416+dee7bcef.noarch
    - perl-HTTP-Cookies-0:6.04-2.module_el8.3.0+416+dee7bcef.src
    - perl-HTTP-Date-0:6.02-19.module_el8.3.0+416+dee7bcef.noarch
    - perl-HTTP-Date-0:6.02-19.module_el8.3.0+416+dee7bcef.src
    - perl-HTTP-Message-0:6.18-1.module_el8.3.0+416+dee7bcef.noarch
    - perl-HTTP-Message-0:6.18-1.module_el8.3.0+416+dee7bcef.src
    - perl-HTTP-Negotiate-0:6.01-19.module_el8.3.0+416+dee7bcef.noarch
    - perl-HTTP-Negotiate-0:6.01-19.module_el8.3.0+416+dee7bcef.src
    - perl-IO-HTML-0:1.001-11.module_el8.3.0+416+dee7bcef.noarch
    - perl-IO-HTML-0:1.001-11.module_el8.3.0+416+dee7bcef.src
    - perl-LWP-MediaTypes-0:6.02-15.module_el8.3.0+416+dee7bcef.noarch
    - perl-LWP-MediaTypes-0:6.02-15.module_el8.3.0+416+dee7bcef.src
    - perl-LWP-Protocol-https-0:6.07-4.module_el8.3.0+416+dee7bcef.noarch
    - perl-LWP-Protocol-https-0:6.07-4.module_el8.3.0+416+dee7bcef.src
    - perl-Mozilla-CA-0:20160104-7.module_el8.3.0+416+dee7bcef.noarch
    - perl-Mozilla-CA-0:20160104-7.module_el8.3.0+416+dee7bcef.src
    - perl-NTLM-0:1.09-17.module_el8.3.0+416+dee7bcef.noarch
    - perl-NTLM-0:1.09-17.module_el8.3.0+416+dee7bcef.src
    - perl-Net-HTTP-0:6.17-2.module_el8.3.0+416+dee7bcef.noarch
    - perl-Net-HTTP-0:6.17-2.module_el8.3.0+416+dee7bcef.src
    - perl-TimeDate-1:2.30-15.module_el8.3.0+416+dee7bcef.noarch
    - perl-TimeDate-1:2.30-15.module_el8.3.0+416+dee7bcef.src
    - perl-Try-Tiny-0:0.30-7.module_el8.3.0+416+dee7bcef.noarch
    - perl-Try-Tiny-0:0.30-7.module_el8.3.0+416+dee7bcef.src
    - perl-WWW-RobotRules-0:6.02-18.module_el8.3.0+416+dee7bcef.noarch
    - perl-WWW-RobotRules-0:6.02-18.module_el8.3.0+416+dee7bcef.src
    - perl-libwww-perl-0:6.34-1.module_el8.3.0+416+dee7bcef.noarch
    - perl-libwww-perl-0:6.34-1.module_el8.3.0+416+dee7bcef.src
...
